@charset "UTF-8";

/* 메인 본문 퀵메뉴 */
[class*="icon-png-"] { display: inline-block; background-repeat: no-repeat;  }
.icon-png-quick01 { background-image: url(../img/common/icon-png-quick01.png); }
.icon-png-quick02 { background-image: url(../img/common/icon-png-quick02.png); }
.icon-png-quick03 { background-image: url(../img/common/icon-png-quick03.png); }
.icon-png-quick04 { background-image: url(../img/common/icon-png-quick04.png); }
.icon-png-quick05 { background-image: url(../img/common/icon-png-quick05.png); }
nav.quick .btn { padding: .5rem .3rem .5rem .3rem; width: 7.8rem; min-height: 7.8rem; line-height: 1.1; text-align: center; margin: 0; border: 0; border-radius: 2rem; display: inline-flex; gap:.5rem ; color: #fff; flex-direction: column; align-items: center; justify-content: center; font-size: 1.4rem; font-weight: 500; transition: 0.2s all; box-shadow: 0 .4rem 1.5rem rgba(0, 0, 0, 0.16);}
nav.quick .btn:hover { color: hsl(0, 0%, 100%, .8);}
nav.quick .btn.colorA {background-color: #5A80C9;}
nav.quick .btn.colorB {background-color: #0A9CB0;}
nav.quick .btn.colorC {background-color: #DC8C1B;}
nav.quick .btn.colorD {background-color: #EC695E;}
nav.quick .btn.colorE {padding: 1rem .3rem 1.2rem .3rem; background-color: #189F72;}
@media(min-width:768px) {
	nav.quick { transform: translateY(0%); }
	nav.quick .btn { min-width: auto; }
}
@media(min-width:1201px) {
	nav.quick { transform: translateY(-50%); padding-bottom: 0rem; }
}
nav.quick [class*="icon-png-"] { background-position: center; background-size: contain; }

/* 오른쪽 퀵메뉴 */
aside.right { position: fixed; display: block; top: 50%; right: 1rem; transform: translateX(0%) translateY(-50%); z-index: 150; font-size: .875em; }
@media(min-width:1024px) {
	aside.right { position: fixed; display: block; top: 50%; right: 1rem; transform: translateX(0%) translateY(-50%); z-index: 150; font-size: .875em; }
}
@media(min-width:1600px) {
	aside.right { right: calc(50% - ( 1280px / 2) ); transform: translateX(135%) translateY(-50%); z-index:1000 ; }	
}
@media(max-width:1600px) {
	aside.right { right: 3rem; transform:translateX(0%) translateY(-50%);}
}
@media(max-width:1440px) {
	aside.right {top: 14rem; right: 2rem; transform:none;}
}
@media(max-width:1280px) {
	nav.quick .btn {font-size: 1.4rem;}
}
/* 1024px 미만에서 mobileQuick이 아닌 버튼/레이어 숨기기 */
@media(max-width:1023px) {
  aside.right .btn:not(.mobileQuick) ,
  aside.right .quick_layer:not(.mobileQuick) {
    display: none;
  }
  aside.right {
  	top: 65%;
  }
}
aside.right nav.quick { display: flex; flex-direction: column; gap: .6rem; padding: 2rem 1.2rem 2rem; transform: translateY(0%); position: relative; z-index: 150;  }
aside.right nav.quick [class*="icon-png-"] { width: 24px; height: 24px;  }
aside.right nav.quick .icon-png-quick03 {width: 30px; height: 28px;}
aside.right nav.quick .icon-png-quick04 {width: 29px; height: 20px;}

/* 퀵버튼 레이어 */
.quick { position: relative; }
.quick_layer { position: absolute; right: 100%; top: 0; margin-right: .8rem; background: #ffffff; padding: 1rem 1.5rem; 
	border-radius: 6px; white-space: nowrap; opacity: 0; transform: translateX(20px); transition: all 0.3s ease; pointer-events: none;
	 display: flex; flex-direction: column; gap: 1rem; box-shadow: 0 .4rem 1.5rem rgba(0, 0, 0, 0.16);}
.quick_layer.active { opacity: 1; transform: translateX(0); pointer-events: auto; }
.quick_layer.pop01 {gap: .5rem;}
.quick_layer p {display: flex; flex-direction: column;  }
.quick_layer p a {color: #666;}
.quick_layer p a:hover {color: var(--primary);}
.quick_layer .sm_copy { font-size: 1.4rem; font-weight: 500; color: #666; line-height: 1.4285; padding: 3px 5px; border-radius: .4rem; border: 1px solid #ddd; background-color: #fff; margin-left: .4rem; transition: all 0.2s;}
.quick_layer .sm_copy:hover {color: var(--primary); border-color: var(--primary);}